Skip to content

Return the non-secret browser upload capabilities for this workspace.

GET
/api/workspace/files/uploads/capabilities
curl --request GET \
--url https://example.com/api/workspace/files/uploads/capabilities
  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Effective non-secret upload policy derived from trusted workspace configuration.

object
StorageType
integer format: int32
Allowed values: 0 1 2 3 4 5
ManagedMultipartEnabled

Whether managed multipart transfer is available.

boolean
LegacyStreamEnabled

Whether the legacy stream path is available.

boolean
MaximumFileSizeBytes

Effective maximum file size.

integer format: int64
PartSizeBytes

Required bounded part size.

integer format: int32
MaximumParallelParts

Maximum supported parallel part count.

integer format: int32
ClientChecksumAlgorithm

Supported client checksum algorithm.

string
nullable
ClientChecksumRequired

Whether the client must declare a checksum.

boolean
AllowedMimeTypes

Deprecated MIME-only compatibility projection. Use Moltaro.API.Common.Controllers.Workspace.FileSystem.ManagedFileUploadCapabilitiesModel.FileTypeRules.

Array<string>
nullable
FileTypeRules

Authoritative extension-aware upload rules.

Array<object>
nullable

One extension-aware managed upload rule.

object
Extensions

Normalized lower-case extensions, including the leading dot.

Array<string>
nullable
MimeTypes

Normalized lower-case MIME types without parameters.

Array<string>
nullable
FileTypePolicyVersion

Version of the authoritative extension-aware upload policy.

integer format: int32
FileTypePolicyHash

SHA-256 fingerprint of the authoritative extension-aware upload policy.

string
nullable
ActiveSessionLimit

Maximum simultaneously active upload sessions for the current actor.

integer format: int32
ActiveSessionCount

Current simultaneously active upload sessions for the current actor.

integer format: int32
ActiveReservedBytesLimit

Maximum active reserved bytes for the current actor.

integer format: int64
ActiveReservedBytes

Current active reserved bytes for the current actor.

integer format: int64
RetryAfterSeconds

Retry delay when the actor currently has no upload capacity.

integer format: int32
nullable
InactivityTimeoutSeconds

Sliding inactivity lease in seconds.

integer format: int32
AbsoluteSessionLifetimeSeconds

Absolute active-session lifetime in seconds.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"StorageType": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/json
object
Data
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Service Unavailable

Media typeapplication/json
object
Data

Effective non-secret upload policy derived from trusted workspace configuration.

object
StorageType
integer format: int32
Allowed values: 0 1 2 3 4 5
ManagedMultipartEnabled

Whether managed multipart transfer is available.

boolean
LegacyStreamEnabled

Whether the legacy stream path is available.

boolean
MaximumFileSizeBytes

Effective maximum file size.

integer format: int64
PartSizeBytes

Required bounded part size.

integer format: int32
MaximumParallelParts

Maximum supported parallel part count.

integer format: int32
ClientChecksumAlgorithm

Supported client checksum algorithm.

string
nullable
ClientChecksumRequired

Whether the client must declare a checksum.

boolean
AllowedMimeTypes

Deprecated MIME-only compatibility projection. Use Moltaro.API.Common.Controllers.Workspace.FileSystem.ManagedFileUploadCapabilitiesModel.FileTypeRules.

Array<string>
nullable
FileTypeRules

Authoritative extension-aware upload rules.

Array<object>
nullable

One extension-aware managed upload rule.

object
Extensions

Normalized lower-case extensions, including the leading dot.

Array<string>
nullable
MimeTypes

Normalized lower-case MIME types without parameters.

Array<string>
nullable
FileTypePolicyVersion

Version of the authoritative extension-aware upload policy.

integer format: int32
FileTypePolicyHash

SHA-256 fingerprint of the authoritative extension-aware upload policy.

string
nullable
ActiveSessionLimit

Maximum simultaneously active upload sessions for the current actor.

integer format: int32
ActiveSessionCount

Current simultaneously active upload sessions for the current actor.

integer format: int32
ActiveReservedBytesLimit

Maximum active reserved bytes for the current actor.

integer format: int64
ActiveReservedBytes

Current active reserved bytes for the current actor.

integer format: int64
RetryAfterSeconds

Retry delay when the actor currently has no upload capacity.

integer format: int32
nullable
InactivityTimeoutSeconds

Sliding inactivity lease in seconds.

integer format: int32
AbsoluteSessionLifetimeSeconds

Absolute active-session lifetime in seconds.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"StorageType": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}